polygene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kent SĂžlvsten <kent.soelvs...@gmail.com>
Subject Re: Licensing issues
Date Fri, 12 Jun 2015 02:41:30 GMT
Seems fair to toss these.

Also I think in 3.0 we should consider moving the javascript library
from rhino to nashorn (which is part of jdk8).

/Kent

Den 12-06-2015 kl. 04:13 skrev Niclas Hedhman:
> Gang,
>
> I made a quick search for "GNU" in our source tree. Two components are
> refereing to LGPL, namely
>
>   libraries/beanshell
>   libraries/lang-jruby
>
> According to http://www.apache.org/legal/resolved.html, we are not allowed
> to include LGPL works, nor depend on it.
>
> I see no other choice than pull the plug for these two components, and
> perhaps put a reference back to http://github.com/Qi4j/ to host these
> non-allowed extensions there.
>
> Comments?
>
>
> Cheers


Mime
View raw message